<?php
$uptypes=array('image/jpg',  //上传文件类型列表
'application/octet-stream',
'text/html',
'application/zip',
'application/x-zip-compressed',
'application/pdf',
'application/msword',
'application/vnd.ms-excel',
'application/vnd.ms-powerpoint',
'text/plain',
'image/jpeg',
'image/png',
'image/pjpeg',
'image/gif',
'image/bmp',
'application/x-shockwave-flash',
'image/x-png');
$max_file_size=2000000;   //上传文件大小限制, 单位BYTE
$destination_folder="upload/"; //上传文件路径
$watermark=0;   //是否附加水印(1为加水印,其他为不加水印);
$watertype=1;   //水印类型(1为文字,2为图片)
$waterposition=1;   //水印位置(1为左下角,2为右下角,3为左上角,4为右上角,5为居中);
$waterstring="newphp.site.cz"; //水印字符串
$waterimg="xplore.gif";  //水印图片
$imgpreview=0;   //是否生成预览图(1为生成,其他为不生成);
$imgpreviewsize=1/2;  //缩略图比例
?>
<html>
<head>
<title>WSS - 上传附件</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="skin/themes/base/tk_style.css" rel="stylesheet" type="text/css" />

<script type="text/javascript">
function uploadtk(){
	var woper = window.opener;
	var p1 = woper.document.getElementById("csa_remark1");
	var p2 = document.getElementById("input_url");
	p1.value += p2.value + "\n\n";
	window.close();
}
</script>
</head>
<body>
<br>
<table align="center" class="fontsize-s input_task_table">
<tr><td>
<form enctype="multipart/form-data" method="post" name="upform">



<span class="input_task_title margin-y" style="margin-top:0px;">上传文件</span><br>
<input name="upfile" type="file"  size="30"  class="button_sub">&nbsp;
 <input type="submit" value="上传" class="button_sub"><br><br>
<span class="gray">允许上传的文件类型为: 图片、 SWF、 RAR、 Zip、 Html、 Doc、 PPT、 Excel、 TXT， 文件大小不超过2MB</span><br>
<br>

</form>

<?php
if ($_SERVER['REQUEST_METHOD'] == 'POST')
{
if (!is_uploaded_file($_FILES["upfile"][tmp_name]))
//是否存在文件
{
echo "<font color='red'>文件不存在！</font>";
exit;
}

$file = $_FILES["upfile"];
if($max_file_size < $file["size"])
//检查文件大小
{
echo "<font color='red'>文件大小超出限制</font>";
exit;
  }

if(!in_array($file["type"], $uptypes))
//检查文件类型
{
echo "<font color='red'>不支持该格式，请打包后上传。</font>";
exit;
}

if(!file_exists($destination_folder))
mkdir($destination_folder);

$filename=$file["tmp_name"];
$image_size = getimagesize($filename);
$pinfo=pathinfo($file["name"]);
$ftype=$pinfo[extension];
$destination = $destination_folder.time().".".$ftype;
if (file_exists($destination) && $overwrite != true)
{
     echo "<font color='red'>同名文件已经存在了！</a>";
     exit;
  }

if(!move_uploaded_file ($filename, $destination))
{
   echo "<font color='red'>移动文件出错！</a>";
     exit;
  }

$pinfo=pathinfo($destination);
$fname=$pinfo[basename];
echo " <font color=green>已经成功上传，点击“确定”可将该附件添加至任务中。</font><br>";
//echo " 宽度:".$image_size[0];
//echo " 长度:".$image_size[1];
if($watermark==1)
{
$iinfo=getimagesize($destination,$iinfo);
$nimage=imagecreatetruecolor($image_size[0],$image_size[1]);
$white=imagecolorallocate($nimage,255,255,255);
$black=imagecolorallocate($nimage,0,0,0);
$red=imagecolorallocate($nimage,255,0,0);
imagefill($nimage,0,0,$white);
switch ($iinfo[2])
{
case 1:
$simage =imagecreatefromgif($destination);
break;
case 2:
$simage =imagecreatefromjpeg($destination);
break;
case 3:
$simage =imagecreatefrompng($destination);
break;
case 6:
$simage =imagecreatefromwbmp($destination);
break;
default:
die("<font color='red'>不能上传此类型文件！</a>");
exit;
}

imagecopy($nimage,$simage,0,0,0,0,$image_size[0],$image_size[1]);
imagefilledrectangle($nimage,1,$image_size[1]-15,80,$image_size[1],$white);

switch($watertype)
{
case 1:  //加水印字符串
imagestring($nimage,2,3,$image_size[1]-15,$waterstring,$black);
break;
case 2:  //加水印图片
$simage1 =imagecreatefromgif("xplore.gif");
imagecopy($nimage,$simage1,0,0,0,0,85,15);
imagedestroy($simage1);
break;
}

switch ($iinfo[2])
{
case 1:
//imagegif($nimage, $destination);
imagejpeg($nimage, $destination);
break;
case 2:
imagejpeg($nimage, $destination);
break;
case 3:
imagepng($nimage, $destination);
break;
case 6:
imagewbmp($nimage, $destination);
//imagejpeg($nimage, $destination);
break;
}

//覆盖原上传文件
imagedestroy($nimage);
imagedestroy($simage);
}

if($imgpreview==1)
{
echo "<br>图片预览:<br>";
echo "<a href=\"".$destination."\" target='_blank'><img src=\"".$destination."\" width=".($image_size[0]*$imgpreviewsize)." height=".($image_size[1]*$imgpreviewsize);
echo " alt=\"图片预览:\r文件名:".$destination."\r上传时间:\" border='0'></a>";
}
}
?>

<textarea id="input_url"  cols="50" rows="5" style="display:none;">
附件：<?php 
echo "<a href=\"".$destination."\" target='_blank'>";
echo "".$destination."";
echo "</a>";
?>
</textarea>



</td>
</tr>
<tr>
<td>
<span class="input_task_submit"><input type="button" value="确定" onclick="uploadtk();" class="button"/> <input type="button" value="取消" onclick="window.close();" class="button"/></span>

</td>
</tr>
</table>



</body>